﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using GridBindingCore.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Logging;

namespace GridBindingCore.Pages
{
    public class IndexModel : PageModel
    {
      
            public string RoleId { get; set; }
            public string Description { get; set; }

        public IEnumerable<Role> Roles { get; set; }

        private readonly ILogger<IndexModel> _logger;

        public IndexModel(ILogger<IndexModel> logger)
        {
            _logger = logger;
        }

        public void OnGet()
        {
            Roles = GetRoles();
        }
        private IEnumerable<Role> GetRoles()
        {
            return new List<Role>
            {
                new Role {RoleId="1", Description="Description 1"},
                new Role {RoleId="2", Description="Description 2"},
                new Role {RoleId="3", Description="Description 3"},
                new Role {RoleId="4", Description="Description 4"}

            };
        }


    }
}
